## networkmanagement 0.1+git20110422.810bc16

=== CMakeLists.txt ===
project(plasma-networkmanagement)

option(INSTALL_KNM_AUTOSTART "Install the autostart file for knetworkmanager. Warning: This prevents the plasmoid from working properly")


find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include(MacroOptionalAddSubdirectory)
include(TestBigEndian)

#indicate endianness to hashing functions
TEST_BIG_ENDIAN(BIGENDIAN)
if (BIGENDIAN)
#can't just place WORDS_BIGENDIAN in TEST_BIGENDIAN as our code uses #ifndef
   set(WORDS_BIGENDIAN 1)
endif (BIGENDIAN)

find_file(KDE4_MM_BACKEND_FOUND solid/control/modeminterface.h ${KDE4_INCLUDE_DIR} NO_DEFAULT_PATH)
if (KDE4_MM_BACKEND_FOUND)
    message("Compiling Modem Manager support.")
    add_definitions(-DCOMPILE_MODEM_MANAGER_SUPPORT=1)

    set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR} ${CMAKE_MODULE_PATH})
    macro_optional_find_package(MobileBroadbandProviderInfo)
    macro_log_feature(MOBILEBROADBANDPROVIDERINFO_FOUND "mobile-broadband-provider-info" "Database of mobile broadband service providers" "http://live.gnome.org/NetworkManager/MobileBroadband/ServiceProviders" FALSE "" "Needed for Mobile Connection Wizard support in Broadband Modem Management")
endif (KDE4_MM_BACKEND_FOUND)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${KDE4_INCLUDES})

#include(ConfigureChecks.cmake)

macro_optional_find_package(NetworkManager)

macro_log_feature(NETWORKMANAGER_FOUND "NetworkManager headers" "User controllable networking" "http://projects.gnome.org/NetworkManager" FALSE "0.7" "Needed for NetworkManager support in Network Management")
if (NETWORKMANAGER_FOUND)
macro_ensure_version( "0.7.0" ${NETWORKMANAGER_VERSION} NM_0_7)
macro_ensure_version( "0.7.1" ${NETWORKMANAGER_VERSION} NM_0_7_1)
find_package(GLIB2 REQUIRED)

configure_file(backends/NetworkManager/config-nm07backend.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/backends/NetworkManager/config-nm07backend.h )

# Check if Solid has been compiled with NetworkManager 0.8 support.
set (CMAKE_REQUIRED_DEFINITIONS ${KDE4_DEFINITIONS})
set (CMAKE_REQUIRED_INCLUDES ${KDE4_INCLUDES})
set (CMAKE_REQUIRED_LIBRARIES -L${KDE4_LIB_DIR} -lsolidcontrol)
CHECK_CXX_SOURCE_COMPILES("#include <solid/control/networkmanager.h>
int main()
{
    Solid::Control::NetworkManager::isWwanEnabled();
    return 0;
}" NM_0_8)
if (NM_0_8)
    add_definitions(-DNM_0_8=1)
endif (NM_0_8)

if (NM_0_7)

include_directories(
   ${NETWORKMANAGER_INCLUDE_DIRS}
   ${NM-UTIL_INCLUDE_DIRS}
   ${GLIB2_INCLUDE_DIR}
   ${CMAKE_CURRENT_BUILD_DIR}
)

add_subdirectory(applet)
add_subdirectory(backends)
add_subdirectory(dataengine)
add_subdirectory(libs)
add_subdirectory(tests)
add_subdirectory(settings)
add_subdirectory(vpnplugins)
add_subdirectory(solidcontrolfuture)
add_subdirectory(kded)

# This is unmaintained, do not use it.
#add_subdirectory(monolithic)

install( FILES networkmanagement.notifyrc DESTINATION ${DATA_INSTALL_DIR}/networkmanagement )

if (DBUS_SYSTEM_POLICY_DIR)
install( FILES NetworkManager-kde4.conf DESTINATION ${DBUS_SYSTEM_POLICY_DIR})
else (DBUS_SYSTEM_POLICY_DIR)
message(STATUS "It is necessary to specify the directory where the client policy file for NetworkManager-kde4 is installed as DBUS_SYSTEM_POLICY_DIR.  Normally this is /etc/dbus-1/system.d on a Linux system")
endif (DBUS_SYSTEM_POLICY_DIR)

else(NM_0_7)
      macro_log_feature(NM_0_7 "NetworkManager ${NETWORKMANAGER_VERSION}" "NetworkManager is a daemon for user controlled networking" "http://www.gnome.org/projects/NetworkManager")
endif(NM_0_7)
endif(NETWORKMANAGER_FOUND)

if(INSTALL_KNM_AUTOSTART)
	message("Installing autostart file for knm, use cmake -DINSTALL_KNM_AUTOSTART=ON to switch it on. Note that this will break the plasmoid. For this to work, make sure the kded DBus service is NOT loaded.")
endif(INSTALL_KNM_AUTOSTART)

macro_display_feature_log()

=== applet/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../libs/client
                    ${CMAKE_CURRENT_SOURCE_DIR}/../libs/internals
                    ${CMAKE_CURRENT_SOURCE_DIR}/../libs/ui
                    ${CMAKE_CURRENT_SOURCE_DIR}/../libs
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}/../libs/internals
   )

set(networkmanager_SRCS
    networkmanager.cpp

    nmpopup.cpp
    activatablelistwidget.cpp

    interfaceitem.cpp
    wirelessinterfaceitem.cpp
    vpninterfaceitem.cpp
    interfacedetailswidget.cpp

    activatableitem.cpp
    interfaceconnectionitem.cpp
    wirelessnetworkitem.cpp
    hiddenwirelessnetworkitem.cpp
    wirelessstatus.cpp
    gsminterfaceconnectionitem.cpp
    )

kde4_add_plugin(plasma_applet_networkmanagement ${networkmanager_SRCS})

target_link_libraries(plasma_applet_networkmanagement ${KDE4_PLASMA_LIBS} knmclient knminternals ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} solidcontrol)

install(TARGETS plasma_applet_networkmanagement DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-networkmanagement.desktop DESTINATION ${SERVICES_INSTALL_DIR})

add_subdirectory(icons)

# We only install the theme for the version where it isn't in SVN
macro_ensure_version("4.4.76" ${KDE_VERSION} IS45)
if (NOT IS45)
    install(FILES
        network.svgz
        DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/icons/)
    target_link_libraries(plasma_applet_networkmanagement ${KDE4_KUTILS_LIBS})
else (NOT IS45)
    target_link_libraries(plasma_applet_networkmanagement ${KDE4_KCMUTILS_LIBS})
endif (NOT IS45)

=== dataengine/CMakeLists.txt ===

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../libs/client
                    ${CMAKE_CURRENT_SOURCE_DIR}/../libs/internals
                    ${CMAKE_CURRENT_SOURCE_DIR}/../libs/ui
                    ${CMAKE_CURRENT_SOURCE_DIR}/../libs
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}/../libs/internals
   )

#set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

set(networkmanagement_engine_srcs
    ../applet/wirelessstatus.cpp
    networkmanagementengine.cpp
)

kde4_add_plugin(plasma_engine_networkmanagement ${networkmanagement_engine_srcs})

target_link_libraries(plasma_engine_networkmanagement
    ${KDE4_KDECORE_LIBS}
    ${KDE4_PLASMA_LIBS}
    knmclient knminternals
    ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS}
    solidcontrol
    ${KDE4_KCMUTILS_LIBS}
)

install(TARGETS plasma_engine_networkmanagement DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-engine-networkmanagement.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== kded/CMakeLists.txt ===
include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../libs/
   ${CMAKE_CURRENT_SOURCE_DIR}/../libs/internals
   ${CMAKE_CURRENT_SOURCE_DIR}/../libs/service
   # this will become optional
   ${CMAKE_CURRENT_SOURCE_DIR}/../backends/NetworkManager
   )
   ## next target: test service

set(kded_networkmanagement_SRCS
   service.cpp
   )

kde4_add_plugin(kded_networkmanagement ${kded_networkmanagement_SRCS})

target_link_libraries(kded_networkmanagement
   ${KDE4_KDECORE_LIBS}
   knminternals
   knmservice
   knm_nm
   )

install(TARGETS kded_networkmanagement DESTINATION ${PLUGIN_INSTALL_DIR})

install( FILES networkmanagement.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)

=== solidcontrolfuture/CMakeLists.txt ===
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include(MacroOptionalAddSubdirectory)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

set(solidcontrolfuture_LIB_SRCS
   wirelessnetworkinterfaceenvironment.cpp
   wirelessnetwork.cpp
   )

kde4_add_library(solidcontrolfuture SHARED ${solidcontrolfuture_LIB_SRCS})

target_link_libraries(solidcontrolfuture ${KDE4_KDECORE_LIBS} ${KDE4_SOLID_LIBS} ${QT_QTNETWORK_LIBRARY} solidcontrol)

install(TARGETS solidcontrolfuture EXPORT kdeworkspaceLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )

#install( FILES wirelessnetwork.h
#               wirelessnetworkinterfaceenvironment.h
#   DESTINATION
#   ${INCLUDE_INSTALL_DIR}/solid/control COMPONENT Devel)

=== tests/CMakeLists.txt ===
include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../libs/internals
   ${CMAKE_CURRENT_SOURCE_DIR}/../libs
   )

## next target: test for ConfigXml to make sure it can handle our connections

set(testconfigxml_SRCS
   testconfigxml.cpp
)

#kde4_add_executable(testconfigxml ${testconfigxml_SRCS})
#target_link_libraries(testconfigxml knmstorage ${KDE4_KDEUI_LIBS})

## next target: test for new storage layer to make sure it can handle our connections

set(testnewstorage_SRCS
   testnewstorage.cpp
)

kde4_add_executable(testnewstorage ${testnewstorage_SRCS})
target_link_libraries(testnewstorage knminternals ${KDE4_KDEUI_LIBS} knm_nm)

## next target: hacked up qdbus that can display NM data types

kde4_add_executable(qdbusfornm qdbusfornm.cpp )
target_link_libraries(qdbusfornm knminternals ${QT_QTDBUS_LIBRARY} ${QT_QTXML_LIBRARY} 
                      ${KDE4_KDECORE_LIBS})

=== vpnplugins/CMakeLists.txt ===
add_subdirectory(openvpn)
add_subdirectory(novellvpn)
add_subdirectory(pptp)
add_subdirectory(strongswan)
add_subdirectory(vpnc)

=== backends/NetworkManager/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=51020)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../../libs
   ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/internals
   ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/internals/settings
   ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/service
   ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/ui
   ${CMAKE_CURRENT_SOURCE_DIR}/settings
   ${CMAKE_CURRENT_BINARY_DIR}
   )

## next target: internals layer library


set(knm_nm_LIB_SRCS
   connectiondbus.cpp

   settingdbus.cpp

   pbkdf2.cpp
   wephash.cpp

   settings/802-11-wireless-securitydbus.cpp

   settings/802-11-wirelessdbus.cpp

   settings/802-3-ethernetdbus.cpp

   settings/802-1xdbus.cpp

   settings/gsmdbus.cpp

   settings/cdmadbus.cpp

   settings/ipv4dbus.cpp

   settings/pppdbus.cpp

   settings/pppoedbus.cpp

   settings/serialdbus.cpp

   settings/vpndbus.cpp

   nmdbussettingsservice.cpp

   busconnection.cpp

   #org.freedesktop.NetworkManagerSettings.Connection
   exportedconnection.cpp

   #org.freedesktop.NetworkManagerSettings.Connection.Secrets
   exportedconnectionsecrets.cpp

   nmdbusactiveconnectionmonitor.cpp

   #org.freedesktop.NetworkManagerSettings.Connection.Active
   nm-active-connectioninterface.cpp

   #org.freedesktop.NetworkManagerSettings.VPN.Connection
   nm-vpn-connectioninterface.cpp

   nmdbussettingsconnectionprovider.cpp

   remoteconnection.cpp
   nm-settingsinterface.cpp
   nm-exported-connectioninterface.cpp
   nm-exported-connection-secrets-interface.cpp
)

kde4_add_library(knm_nm SHARED ${knm_nm_LIB_SRCS})

target_link_libraries(knm_nm ${KDE4_KDEUI_LIBS} solidcontrol knminternals knmservice knmui ${QT_QTNETWORK_LIBRARY})


#set_target_properties(nmbackend PROPERTIES
#   VERSION ${GENERIC_LIB_VERSION}
#   SOVERSION ${GENERIC_LIB_SOVERSION}
#   )
install(TARGETS knm_nm ${INSTALL_TARGETS_DEFAULT_ARGS})

=== libs/client/CMakeLists.txt ===
add_subdirectory(tests)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/../internals
   ${CMAKE_CURRENT_BINARY_DIR}
   )

set(knmclient_SRCS
   remoteactivatable.cpp
   remoteinterfaceconnection.cpp
   remoteunconfiguredinterface.cpp
   remotevpninterfaceconnection.cpp
   remotewirelessobject.cpp
   remotewirelessinterfaceconnection.cpp
   remotewirelessnetwork.cpp
   remoteactivatablelist.cpp
   remotegsminterfaceconnection.cpp
)

set_source_files_properties( ../service/interfaces/org.kde.networkmanagement.xml PROPERTIES NO_NAMESPACE TRUE CLASSNAME NetworkManagementInterface)

QT4_ADD_DBUS_INTERFACE(knmclient_SRCS
   ../service/interfaces/org.kde.networkmanagement.xml
   networkmanagementinterface
   )

set_source_files_properties( ../service/interfaces/org.kde.networkmanagement.activatable.xml PROPERTIES NO_NAMESPACE TRUE CLASSNAME ActivatableInterface)

QT4_ADD_DBUS_INTERFACE(knmclient_SRCS
   ../service/interfaces/org.kde.networkmanagement.activatable.xml
   activatableinterface
   )

set_source_files_properties( ../service/interfaces/org.kde.networkmanagement.interfaceconnection.xml PROPERTIES NO_NAMESPACE TRUE CLASSNAME InterfaceConnectionInterface)

QT4_ADD_DBUS_INTERFACE(knmclient_SRCS
   ../service/interfaces/org.kde.networkmanagement.interfaceconnection.xml
   interfaceconnectioninterface
   )

set_source_files_properties( ../service/interfaces/org.kde.networkmanagement.wirelessinterfaceconnection.xml PROPERTIES NO_NAMESPACE TRUE CLASSNAME WirelessInterfaceConnectionInterface)

QT4_ADD_DBUS_INTERFACE(knmclient_SRCS
   ../service/interfaces/org.kde.networkmanagement.wirelessinterfaceconnection.xml
   wirelessinterfaceconnectioninterface
   )

set_source_files_properties( ../service/interfaces/org.kde.networkmanagement.wirelessnetwork.xml PROPERTIES NO_NAMESPACE TRUE CLASSNAME WirelessNetworkInterface)

QT4_ADD_DBUS_INTERFACE(knmclient_SRCS
   ../service/interfaces/org.kde.networkmanagement.wirelessnetwork.xml
   wirelessnetworkinterface
   )

set_source_files_properties( ../service/interfaces/org.kde.networkmanagement.gsminterfaceconnection.xml PROPERTIES NO_NAMESPACE TRUE CLASSNAME GsmInterfaceConnectionInterface)

QT4_ADD_DBUS_INTERFACE(knmclient_SRCS
   ../service/interfaces/org.kde.networkmanagement.gsminterfaceconnection.xml
   gsminterfaceconnectioninterface
   )

kde4_add_library(knmclient SHARED ${knmclient_SRCS})

target_link_libraries(knmclient ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${KDE4_KDECORE_LIBS})

set_target_properties(knmclient PROPERTIES
   VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
   )

install(TARGETS knmclient ${INSTALL_TARGETS_DEFAULT_ARGS})

=== libs/externals/CMakeLists.txt ===
include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/..
   )

# next target: dbus interfaces library
set(knmconnection_SRCS
    connectable.cpp
    interfaceconnection.cpp
    wirelessinterfaceconnection.cpp
    wirelessnetworkitem.cpp
    gsminterfaceconnectionitem.cpp
    )

qt4_add_dbus_adaptor(
    knmconnection_SRCS
    interfaces/org.kde.networkmanagement.connectable.xml
    connectable.h
    Knm::Externals::Connectable
)

qt4_add_dbus_adaptor(
    knmconnection_SRCS
    interfaces/org.kde.networkmanagement.interfaceconnection.xml
    interfaceconnection.h
    Knm::Externals::InterfaceConnection
)

qt4_add_dbus_adaptor(
    knmconnection_SRCS
    interfaces/org.kde.networkmanagement.wirelessinterfaceconnection.xml
    wirelessinterfaceconnection.h
    Knm::Externals::WirelessInterfaceConnection
)

qt4_add_dbus_adaptor(
    knmconnection_SRCS
    interfaces/org.kde.networkmanagement.wirelessnetworkitem.xml
    wirelessnetworkitem.h
    Knm::Externals::WirelessNetworkItem
)

qt4_add_dbus_adaptor(
    knmconnection_SRCS
    interfaces/org.kde.networkmanagement.gsminterfaceconnection.xml
    gsminterfaceconnection.h
    Knm::Externals::GsmInterfaceConnection
)
kde4_add_library(
    knmexternals SHARED ${knmconnection_SRCS}
)

target_link_libraries(knmexternals ${KDE4_KDECORE_LIBS} solidcontrol)

set_target_properties(knmexternals PROPERTIES
   VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
   )

install(TARGETS knmexternals ${INSTALL_TARGETS_DEFAULT_ARGS})

=== libs/internals/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=51010)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/../../solidcontrolfuture
   ${CMAKE_CURRENT_SOURCE_DIR}/../libs/client
   )

## next target: internals layer library

set(knminternals_SRCS
   connection.cpp
   #connectiondbus.cpp
   connectionpersistence.cpp

   setting.cpp
   #settingdbus.cpp
   settingpersistence.cpp

   #settings/pbkdf2.cpp
   #settings/wephash.cpp

   settings/802-11-wireless-security.cpp
   #settings/802-11-wireless-securitydbus.cpp
   settings/802-11-wireless-securitypersistence.cpp

   settings/802-11-wireless.cpp
   #settings/802-11-wirelessdbus.cpp
   settings/802-11-wirelesspersistence.cpp

   settings/802-3-ethernet.cpp
   #settings/802-3-ethernetdbus.cpp
   settings/802-3-ethernetpersistence.cpp

   settings/802-1x.cpp
   #settings/802-1xdbus.cpp
   settings/802-1xpersistence.cpp

   settings/gsm.cpp
   #settings/gsmdbus.cpp
   settings/gsmpersistence.cpp

   settings/cdma.cpp
   #settings/cdmadbus.cpp
   settings/cdmapersistence.cpp

   settings/ipv4.cpp
   #settings/ipv4dbus.cpp
   settings/ipv4persistence.cpp

   settings/ppp.cpp
   #settings/pppdbus.cpp
   settings/ppppersistence.cpp

   settings/pppoe.cpp
   #settings/pppoedbus.cpp
   settings/pppoepersistence.cpp

   settings/serial.cpp
   #settings/serialdbus.cpp
   settings/serialpersistence.cpp

   settings/vpn.cpp
   #settings/vpndbus.cpp
   settings/vpnpersistence.cpp

   activatable.cpp
   interfaceconnection.cpp
   interfaceconnectionhelpers.cpp
   hiddenwirelessinterfaceconnection.cpp
   wirelessinterfaceconnection.cpp
   wirelessinterfaceconnectionhelpers.cpp
   wirelessobject.cpp
   wirelessnetwork.cpp
   unconfiguredinterface.cpp
   vpninterfaceconnection.cpp
   vpninterfaceconnectionhelpers.cpp
   gsminterfaceconnection.cpp
   gsminterfaceconnectionhelpers.cpp

   # helper class for recognising the type of WPA secrets
   wpasecretidentifier.cpp

   # helper class for identifying wireless security
   wirelesssecurityidentifier.cpp

   # helper functions for storing tooltip keys and UI strings
   tooltips.cpp
   # helper functions to obtain UI strings for various enums
   uiutils.cpp
   )

kde4_add_kcfg_files(knminternals_SRCS knmserviceprefs.kcfgc)

kde4_add_library(knminternals SHARED ${knminternals_SRCS})

target_link_libraries(knminternals knmclient solidcontrolfuture ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_SOLID_LIBS} solidcontrol ${QT_QTNETWORK_LIBRARY})

set_target_properties(knminternals PROPERTIES
   VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
   )
install(TARGETS knminternals ${INSTALL_TARGETS_DEFAULT_ARGS})

set(kconfig_compiler_SRCS kconfig_compiler.cpp)

kde4_add_executable(knm_compiler NOGUI RUN_UNINSTALLED ${kconfig_compiler_SRCS})

target_link_libraries(knm_compiler  ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY} )

=== libs/service/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=51011)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/..
   ${CMAKE_CURRENT_SOURCE_DIR}/../internals
   ${CMAKE_CURRENT_SOURCE_DIR}/../../solidcontrolfuture
   ${CMAKE_CURRENT_BINARY_DIR}/../internals
   )

add_subdirectory(tests)

set(knmservice_SRCS
   # defines interface for objects observing connections
   connectionhandler.cpp

   # list of all connections, maintains connectionhandlers
   connectionlist.cpp

   # loads/saves connections
   connectionlistpersistence.cpp

   # provides dbus configure() for config UI
   connectionlistpersistencedbus.cpp

   # list of things that may be connected: connections and unconfigured networks
   activatablelist.cpp

   # maintains NIC activatable providers
   networkinterfacemonitor.cpp

   # relates connections to network interfaces
   networkinterfaceactivatableprovider.cpp

   # subclass of the above, uses ethernet carrier status to select activatables
   wirednetworkinterfaceactivatableprovider.cpp

   # complex class for managing connections and unconfigured networks for wireless interfaces
   wirelessnetworkinterfaceactivatableprovider.cpp

   # relates gsm connections to network interfaces
   gsmnetworkinterfaceactivatableprovider.cpp

   # interface for tracking activatable events
   activatableobserver.cpp

   # simple debug output observer
   activatabledebug.cpp

   # configures unconfigured devices and new wireless networks on demand and connects them
   configurationlauncher.cpp

   # updates connection state as they are used
   connectionusagemonitor.cpp

   # exports activatables on the session bus to Plasmoids etc
   sessionabstractedservice.cpp

   # creates vpn activatables
   vpninterfaceconnectionprovider.cpp

   # performs KNotifications on events
   notificationmanager.cpp

   # static global definitions of event string ids
   events.cpp

   # sort logic for activatables
   sortedactivatablelist.cpp
   )


qt4_add_dbus_adaptor(
    knmservice_SRCS
    interfaces/org.kde.networkmanagement.activatable.xml
    activatable.h
    Knm::Activatable
    activatableadaptor
    ActivatableAdaptor
)

qt4_add_dbus_adaptor(
    knmservice_SRCS
    interfaces/org.kde.networkmanagement.interfaceconnection.xml
    interfaceconnection.h
    Knm::InterfaceConnection
    interfaceconnectionadaptor
    InterfaceConnectionAdaptor
)

qt4_add_dbus_adaptor(
    knmservice_SRCS
    interfaces/org.kde.networkmanagement.wirelessinterfaceconnection.xml
    wirelessinterfaceconnection.h
    Knm::WirelessInterfaceConnection
    wirelessinterfaceconnectionadaptor
    WirelessInterfaceConnectionAdaptor
)

qt4_add_dbus_adaptor(
    knmservice_SRCS
    interfaces/org.kde.networkmanagement.wirelessnetwork.xml
    wirelessnetwork.h
    Knm::WirelessNetwork
    wirelessnetworkadaptor
    WirelessNetworkAdaptor
)

if (KDE4_MM_BACKEND_FOUND)
	qt4_add_dbus_adaptor(
	    knmservice_SRCS
	    interfaces/org.kde.networkmanagement.gsminterfaceconnection.xml
	    gsminterfaceconnection.h
	    Knm::GsmInterfaceConnection
	    gsminterfaceconnectionadaptor
	    GsmInterfaceConnectionAdaptor
	)
endif (KDE4_MM_BACKEND_FOUND)

qt4_add_dbus_adaptor(knmservice_SRCS
   interfaces/org.kde.networkmanagement.xml
   sessionabstractedservice.h
   SessionAbstractedService
   sessionabstractedserviceadaptor
   SessionAbstractedServiceAdaptor
   )

kde4_add_library(knmservice SHARED ${knmservice_SRCS})

target_link_libraries(knmservice knminternals solidcontrol solidcontrolfuture ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_SOLID_LIBS}
   )

set_target_properties(knmservice PROPERTIES
   VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
   )

install(TARGETS knmservice ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
networkmanagement (0.1+git20110422.810bc16-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * No source changes needed.

 -- Modestas Vainius <modax@debian.org>  Wed, 01 Jun 2011 15:53:03 +0300

networkmanagement (0.1+git20110422.810bc16-1) unstable; urgency=low

  * New upstream Git snapshot 810bc16 (from master branch).
  * Make the package binNMUable against KDE SC 4.6:
    - build depend on mobile-broadband-provider-info and add it to knm-runtime
      Depends (KDE SC 4.6 only);
    - network.svgz is not shipped when plasma-widget-networkmanager is
      built against KDE SC 4.5. Install it only if it exists.
  * Rename source package to networkmanagement (according to the name of the
    upstream git repository).
  * Fix links to the upstream VCS repository in debian/copyright.
  * Point Vcs-* fields to the new location of packaging VCS.
  * Use my @debian.org address in debian/control and debian/copyright.
  * Update packaging section in debian/copyright.
  * Convert network-manager-kde to the transitional package for
    plasma-widget-networkmanagement.
  * Merge knm-runtime package into plasma-widget-networkmanager. It no longer
    makes sense after sunset of the network-manager-kde package.
  * Make some consmetic changes in debian/rules.
  * Bump Standards-Version to 3.8.2: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Fri, 22 Apr 2011 23:29:42 +0300

plasma-widget-networkmanagement (0.1+git20110318.941cde9-2) unstable; urgency=medium

  * Drop topgit support.
  * Drop README.source, obsolelte and not needed anymore.
  * Ship usr/share/kde4/apps/desktoptheme/default/icons/network.svgz
    uncompressed as network.svg in order to avoid file conflict with
    kdebase-runtime-data (>= 4:4.5) but still keep compatibility with
    KDE SC 4.4
  * Urgency=medium, shorten package aging as changes cannot break much.

 -- Modestas Vainius <modax@debian.org>  Wed, 30 Mar 2011 02:55:20 +0300

plasma-widget-networkmanagement (0.1+git20110318.941cde9-1) unstable; urgency=low

  * New upstream Git snapshot 941cde971277611da2575fc2dfccde01c4bbe564.
    - Fixes crash on NetworkManager restart. (Closes: #590589)
    - Correctly enable/disable wireless depending on the rfkill state and the
      user settting. (Closes: #618761)
  * debian/plasma-widget-networkmanagement.install
    - Install new plasma_engine_networkmanagement.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Mar 2011 13:31:50 +0100

plasma-widget-networkmanagement (0.1~svn1175124-1) unstable; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: scripty
    - Last Changed Rev: 1175124
    - Last Changed Date: 2010-09-14 11:30:18 +0200
  * Bump Standards-Version to 3.9.1. No further changes.
  * Drop old Conflicts/Replaces: plasma-applet-networkmanager. No longer
    required.
  * Drop outdated debian/bug-presubj.

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Sep 2010 23:26:24 +0200

plasma-widget-networkmanagement (0.1~svn1141976-1) unstable; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: pino
    - Last Changed Rev: 1141976
    - Last Changed Date: 2010-06-24 00:51:12 +0200

 -- Michael Biebl <biebl@debian.org>  Thu, 24 Jun 2010 03:52:15 +0200

plasma-widget-networkmanagement (0.1~svn1133205-1) unstable; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: scripty
    - Last Changed Rev: 1133205
    - Last Changed Date: 2010-06-01 10:39:08 +0200
  * debian/control
    - Drop Build-Depends on libknotificationitem-1-dev which was merged and
      renamed in kde4libs 4.4. (Closes: #584360)
  * debian/rules
    - Set -DINSTALL_KNM_AUTOSTART=ON to enable installation of knetworkmanager
      autostart file.
  * Re-add plasma-widget-networkmanagement package.
  * Move the networkmanagement kded module from knm-runtime to
    plasma-widget-networkmanagement. The kded service is not used by
    knetworkmanager and actually breaks knetworkmanager due to being
    auto-loaded and claiming the NetworkManagerUserSettings bus name.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Jun 2010 12:39:10 +0200

plasma-widget-networkmanagement (0.1~svn1125524-1) unstable; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: lvsouza
    - Last Changed Rev: 1125524
    - Last Changed Date: 2010-05-11 18:34:09 +0200
    - Fixes placement of the systray applet context menu. (Closes: #580530)
  * debian/patches/01-qt4.5-compat.patch
    - Drop the Qt 4.5 compat patch again now that we have a recent enough
      version in unstable and testing.
  * debian/control
    - Bump Build-Depends on libqt4-dev to (>= 4:4.6.0).
    - Bump Build-Depends on kdelibs5-dev and kdebase-workspace-dev to
      (>= 4:4.4.0)
  * debian/knm-runtime.install
    - Simplify install file by using wildcards where appropriate.
    - Install new strongswan VPN plugin.

 -- Michael Biebl <biebl@debian.org>  Thu, 13 May 2010 02:02:57 +0200

plasma-widget-networkmanagement (0.1~svn1088283-1) unstable; urgency=medium

  * New upstream development snapshot:
    - Last Changed Author: scripty
    - Last Changed Rev: 1088283
    - Last Changed Date: 2010-02-10 14:11:26 +0100

  [ Michael Biebl ]
  * debian/patches/01-qt4.5-compat.patch
    - Remove Qt 4.6 specific features so it compiles with Qt 4.5.
  * debian/control
    - Lower Build-Depends on libqt4-dev to (>= 4:4.5.0).
    - Bump Standards-Version to 3.8.4. No further changes.
  * Drop the plasma-widget-networkmanagement binary package for now as it not
    yet stable enough. Add Conflicts to network-manager-kde so it is removed
    on upgrades.

  [ Modestas Vainius ]
  * Enable parallel building - pass --parallel to dh.

 -- Michael Biebl <biebl@debian.org>  Mon, 15 Feb 2010 14:46:25 +0100

plasma-widget-networkmanagement (0.1~svn1075616-1) experimental; urgency=low

  [ Modestas Vainius ]
  * Remove DMUA field from debian/control. I'm a DD now.

  [ Michael Biebl ]


=== debian/control ===
Source: networkmanagement
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
 libqt4-dev (>= 4:4.6.0), kdelibs5-dev (>= 4:4.4.0), kdebase-workspace-dev (>= 4:4.4.0),
 network-manager-dev (>= 0.7.0), libnm-util-dev (>= 0.7.0), mobile-broadband-provider-info
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/networkmanagement.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/networkmanagement.git

Package: plasma-widget-networkmanagement
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager (>= 0.7.0),
 mobile-broadband-provider-info
Suggests: kdebase-workspace-bin
Recommends: kwalletmanager, network-manager-vpnc, network-manager-openvpn, network-manager-pptp
Replaces: knm-runtime
Breaks: knm-runtime
Description: Network Management widget for KDE4 Plasma
 This package contains the Network Management plasma widget which aims to
 provide a fully featured GUI for managing networks.  Currently, the only
 supported backend is NetworkManager.  Support for wired, wireless, GSM
 and VPN networks are provided.  The widget is exclusively written for Plasma
 and KDE4 and it is not supposed to work in other environments.
 .
 This widget needs Plasma shell to be usable. Main KDE 4 Plasma shell is
 available in the kdebase-workspace-bin package. The user friendly name of the
 widget is "Network Management" (in e.g. "Add Widgets" dialog).

Package: network-manager-kde
Architecture: any
Depends: ${misc:Depends}, plasma-widget-networkmanagement
Description: transitional package for plasma-widget-networkmanagement
 This is a dummy transitional package for plasma-widget-networkmanagement. You
 may safely remove it.

Package: plasma-widget-networkmanagement-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, plasma-widget-networkmanagement (= ${binary:Version})
Recommends: kdelibs5-dbg
Suggests: kdebase-workspace-dbg
Description: debugging symbols for KDE Network Management
 This package provides debugging symbols for all binary packages built from the
 plasma-widget-networkmanagement source package. It's highly recommended to
 have this package installed before reporting any crashes.

=== debian/rules ===
#!/usr/bin/make -f

# DEB_KDE_LINK_WITH_AS_NEEDED ?= yes

DEB_BINARY_VERSION := $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: //')
DEB_KNETWORKMANAGER_VERSION := $(shell echo '$(DEB_BINARY_VERSION)' | sed 's/^[[:digit:].]\+/1:0.9/')

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON \
	                           -DDBUS_SYSTEM_POLICY_DIR=/etc/dbus-1/system.d

override_dh_install:
	dh_install -pplasma-widget-networkmanagement --autodest -- \
	    $(wildcard debian/tmp/usr/share/kde4/apps/desktoptheme/default/icons/network.svgz)
	dh_install --remaining-packages

override_dh_gencontrol:
	dh_gencontrol -pnetwork-manager-kde -- -v'$(DEB_KNETWORKMANAGER_VERSION)'
	dh_gencontrol --remaining-packages

%:
	dh $@ --parallel --with kde --dbg-package=plasma-widget-networkmanagement-dbg

.PHONY: override_dh_auto_test

## networkmanagement 0.9~git20111126.1ef1677

=== CMakeLists.txt ===
project(plasma-networkmanagement)

option(INSTALL_KNM_AUTOSTART "Install the autostart file for knetworkmanager. Warning: This prevents the plasmoid from working properly")
set (MINIMUM_NM_VERSION_REQUIRED "0.9.0")

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include(MacroOptionalAddSubdirectory)
include(TestBigEndian)

#indicate endianness to hashing functions
TEST_BIG_ENDIAN(BIGENDIAN)
if (BIGENDIAN)
#can't just place WORDS_BIGENDIAN in TEST_BIGENDIAN as our code uses #ifndef
   set(WORDS_BIGENDIAN 1)
endif (BIGENDIAN)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR} ${CMAKE_MODULE_PATH})
macro_optional_find_package(MobileBroadbandProviderInfo)
macro_log_feature(MOBILEBROADBANDPROVIDERINFO_FOUND "mobile-broadband-provider-info" "Database of mobile broadband service providers" "http://live.gnome.org/NetworkManager/MobileBroadband/ServiceProviders" FALSE "" "Needed for Mobile Connection Wizard support in Broadband Modem Management")

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${KDE4_INCLUDES})

#include(ConfigureChecks.cmake)

find_package(NetworkManager ${MINIMUM_NM_VERSION_REQUIRED})

macro_log_feature(NETWORKMANAGER_FOUND "NetworkManager headers" "User controllable networking" "http://projects.gnome.org/NetworkManager" FALSE "0.9" "Needed for NetworkManager support in Network Management")
if (NETWORKMANAGER_FOUND)
    find_package(GLIB2 REQUIRED)

    configure_file(backends/NetworkManager/config-nm09backend.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/backends/NetworkManager/config-nm09backend.h )

    if (${NETWORKMANAGER_VERSION} VERSION_GREATER ${MINIMUM_NM_VERSION_REQUIRED} OR
        ${NETWORKMANAGER_VERSION} VERSION_EQUAL ${MINIMUM_NM_VERSION_REQUIRED})
        set(NM_0_9 TRUE)
        add_definitions(-DMINIMUM_NM_VERSION_REQUIRED=\\"${MINIMUM_NM_VERSION_REQUIRED}\\")
        include_directories(
           ${NETWORKMANAGER_INCLUDE_DIRS}
           ${NM-UTIL_INCLUDE_DIRS}
           ${GLIB2_INCLUDE_DIR}
           ${CMAKE_CURRENT_BUILD_DIR}
           solidcontrolfuture/libs
           ${KDE4_INCLUDE_DIR}/solid/control
        )

        add_subdirectory(solidcontrolfuture)
        add_subdirectory(applet)
        add_subdirectory(backends)
        add_subdirectory(dataengine)
        add_subdirectory(libs)
        add_subdirectory(tests)
        add_subdirectory(settings)
        add_subdirectory(vpnplugins)
        add_subdirectory(kded)

        # This is unmaintained, do not use it.
        #add_subdirectory(monolithic)

        install( FILES networkmanagement.notifyrc DESTINATION ${DATA_INSTALL_DIR}/networkmanagement )

        if (DBUS_SYSTEM_POLICY_DIR)
            install( FILES NetworkManager-kde4.conf DESTINATION ${DBUS_SYSTEM_POLICY_DIR})
        else (DBUS_SYSTEM_POLICY_DIR)
            message(STATUS "It is necessary to specify the directory where the client policy file for NetworkManager-kde4 is installed as DBUS_SYSTEM_POLICY_DIR.  Normally this is /etc/dbus-1/system.d on a Linux system")
        endif (DBUS_SYSTEM_POLICY_DIR)
    else()
        message("ERROR: NetworkManager version '${NETWORKMANAGER_VERSION}' does not match minimum required (${MINIMUM_NM_VERSION_REQUIRED})")
        return()
    endif()
endif(NETWORKMANAGER_FOUND)

if(INSTALL_KNM_AUTOSTART)
    message("Installing autostart file for knm, use cmake -DINSTALL_KNM_AUTOSTART=ON to switch it on. Note that this will break the plasmoid. For this to work, make sure the kded DBus service is NOT loaded.")
endif(INSTALL_KNM_AUTOSTART)

macro_display_feature_log()

=== debian/changelog ===
networkmanagement (0.9~git20111126.1ef1677-1) unstable; urgency=low

  * New upstream Git snapshot 1ef1677fb9132a19c047d5b1a889213941094197 from
    the nm09 branch (0.9.0 rc3).

 -- Michael Biebl <biebl@debian.org>  Sun, 27 Nov 2011 17:35:26 +0100

networkmanagement (0.9~git20111103.1240c6f-1) unstable; urgency=low

  * New upstream Git snapshot 1240c6f6f83d6a0502f659c7c49fe6d03ecb917f from
    the nm09 branch (0.9.0 rc2).

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Nov 2011 13:25:44 +0100

networkmanagement (0.9~git20111002.90c59c3-1) unstable; urgency=low

  * New upstream Git snapshot 90c59c37c68920a44860ff5b8f7bcc146850efcf from
    the nm09 branch (0.9.0 beta1).

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Oct 2011 04:12:45 +0200

networkmanagement (0.9~git20110916.28b3101-1) unstable; urgency=low

  * New upstream Git snapshot 28b3101aa4a25dc15e13fed926aff27d62d9346c from
    the nm09 branch.
  * On upgrades tell update-notifier to show a reboot-required notification
    since older versions of plasma-widget-networkmanagement will no longer
    work with network-manager 0.9 and need to be restarted.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Sep 2011 21:20:12 +0200

networkmanagement (0.9~git20110904.06145dc-1) experimental; urgency=low

  * New upstream Git snapshot 06145dcffeb34cb68f7ff098db8cf590d63fa52e from
    the nm09 branch.
  * Remove debian/patches/01-no-x11-libs.patch, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Tue, 06 Sep 2011 23:09:08 +0200

networkmanagement (0.9~git20110901.2144cb1-1) experimental; urgency=low

  * New upstream Git snapshot 2144cb1b554d6b3e9b9e7fb54bcf579d2336524d from
    the nm09 branch.
  * Bump Build-Depends on network-manager-dev and libnm-util-dev to
    (>= 0.9.0).
  * Bump Depends on network-manager to (>= 0.9.0).
  * Bump debhelper compatibililty level to 8.
  * Install solid backend for NetworkManager 0.9.
  * debian/patches/01-no-x11-libs.patch: Avoid linking against libX11 and
    libXrandr as the solidcontrol library does not actually need it.

 -- Michael Biebl <biebl@debian.org>  Fri, 02 Sep 2011 23:17:12 +0200

networkmanagement (0.1+git20110727.96f5505-1) unstable; urgency=low

  * New upstream Git snapshot 96f55055cc0651dbaaa405b5c6468ed6fa620e2c:
    - WPA Enterprise is reported working in this release. (Closes: #578101)
    - OpenVPN support can ask for a password now. (Closes: #574901)

 -- Modestas Vainius <modax@debian.org>  Thu, 28 Jul 2011 15:07:43 +0300

networkmanagement (0.1+git20110526.911025d-1) unstable; urgency=low

  [ Modestas Vainius ]
  * Use official KDE branding in the package descriptions.

  [ Michael Biebl ]
  * New upstream Git snapshot 911025d81fdfbe09b64705e94e5411f521c38e3e.
  * debian/control
    - Bump Build-Depends on kdelibs5-dev and kdebase-workspace-dev to
      (>= 4:4.6.0).
    - Bump Build-Depends on network-manager-dev and libnm-util-dev to
      (>= 0.8.1).
    - Bump Depends on network-manager to (>= 0.8.1).

 -- Michael Biebl <biebl@debian.org>  Fri, 27 May 2011 12:18:25 +0200

=== debian/control ===
Source: networkmanagement
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 8), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
 libqt4-dev (>= 4:4.6.0), kdelibs5-dev (>= 4:4.6.0), kdebase-workspace-dev (>= 4:4.6.0),
 network-manager-dev (>= 0.9.0), libnm-util-dev (>= 0.9.0), mobile-broadband-provider-info
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/networkmanagement.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/networkmanagement.git

Package: plasma-widget-networkmanagement
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager (>= 0.9.0),
 mobile-broadband-provider-info
Suggests: kdebase-workspace-bin
Recommends: kwalletmanager, network-manager-vpnc, network-manager-openvpn, network-manager-pptp
Replaces: knm-runtime
Breaks: knm-runtime
Description: Network Management widget for KDE Plasma workspaces
 This package contains the Network Management plasma widget which aims to
 provide a fully featured GUI for managing networks. Currently, the only
 supported backend is NetworkManager. Support for wired, wireless, mobile
 and VPN networks are provided. The widget is exclusively written for KDE
 Plasma workspaces and it is not supposed to work in other environments.
 .
 In order to start using the widget, look for "Network Management" in the "Add
 Widgets" dialog of the Plasma workspace you're using.

Package: network-manager-kde
Architecture: any
Depends: ${misc:Depends}, plasma-widget-networkmanagement
Description: transitional package for plasma-widget-networkmanagement
 This is a dummy transitional package for plasma-widget-networkmanagement. You
 may safely remove it.

Package: plasma-widget-networkmanagement-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, plasma-widget-networkmanagement (= ${binary:Version})
Recommends: kdelibs5-dbg
Suggests: kdebase-workspace-dbg
Description: debugging symbols for KDE Network Management
 This package provides debugging symbols for all binary packages built from the
 plasma-widget-networkmanagement source package. It's highly recommended to
 have this package installed before reporting any crashes.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # DEB_KDE_LINK_WITH_AS_NEEDED ?= yes
 
 DEB_BINARY_VERSION := $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: //')
-DEB_KNETWORKMANAGER_VERSION := $(shell echo '$(DEB_BINARY_VERSION)' | sed 's/^[[:digit:].]\+/1:0.9/')
+DEB_KNETWORKMANAGER_VERSION := $(shell echo '$(DEB_BINARY_VERSION)' | sed 's/^[[:digit:].]\+~/1:0.9+/')
 
 override_dh_auto_configure:
 	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON \

## networkmanagement 0.9~git20120122.edc9568

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,6 @@
 
 find_package(NetworkManager ${MINIMUM_NM_VERSION_REQUIRED})
 
-macro_log_feature(NETWORKMANAGER_FOUND "NetworkManager headers" "User controllable networking" "http://projects.gnome.org/NetworkManager" FALSE "0.9" "Needed for NetworkManager support in Network Management")
 if (NETWORKMANAGER_FOUND)
     find_package(GLIB2 REQUIRED)
 
@@ -59,16 +58,11 @@
         #add_subdirectory(monolithic)
 
         install( FILES networkmanagement.notifyrc DESTINATION ${DATA_INSTALL_DIR}/networkmanagement )
-
-        if (DBUS_SYSTEM_POLICY_DIR)
-            install( FILES NetworkManager-kde4.conf DESTINATION ${DBUS_SYSTEM_POLICY_DIR})
-        else (DBUS_SYSTEM_POLICY_DIR)
-            message(STATUS "It is necessary to specify the directory where the client policy file for NetworkManager-kde4 is installed as DBUS_SYSTEM_POLICY_DIR.  Normally this is /etc/dbus-1/system.d on a Linux system")
-        endif (DBUS_SYSTEM_POLICY_DIR)
     else()
-        message("ERROR: NetworkManager version '${NETWORKMANAGER_VERSION}' does not match minimum required (${MINIMUM_NM_VERSION_REQUIRED})")
-        return()
+        message(FATAL_ERROR "ERROR: NetworkManager version '${NETWORKMANAGER_VERSION}' does not match minimum required (${MINIMUM_NM_VERSION_REQUIRED})")
     endif()
+else(NETWORKMANAGER_FOUND)
+    message(FATAL_ERROR "ERROR: NetworkManager headers >= ${MINIMUM_NM_VERSION_REQUIRED} not installed. http://projects.gnome.org/NetworkManager/")
 endif(NETWORKMANAGER_FOUND)
 
 if(INSTALL_KNM_AUTOSTART)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -14,16 +14,16 @@
 
 ## next target: test for new storage layer to make sure it can handle our connections
 
-set(testnewstorage_SRCS
-   testnewstorage.cpp
-)
+#set(testnewstorage_SRCS
+   #testnewstorage.cpp
+#)
 
-kde4_add_executable(testnewstorage ${testnewstorage_SRCS})
-target_link_libraries(testnewstorage knminternals ${KDE4_KDEUI_LIBS} knm_nm)
+#kde4_add_executable(testnewstorage ${testnewstorage_SRCS})
+#target_link_libraries(testnewstorage knminternals ${KDE4_KDEUI_LIBS} knm_nm)
 
 ## next target: hacked up qdbus that can display NM data types
 
 kde4_add_executable(qdbusfornm qdbusfornm.cpp )
-target_link_libraries(qdbusfornm knminternals ${QT_QTDBUS_LIBRARY} ${QT_QTXML_LIBRARY} 
+target_link_libraries(qdbusfornm knminternals ${QT_QTDBUS_LIBRARY} ${QT_QTXML_LIBRARY}
                       ${KDE4_KDECORE_LIBS})

=== vpnplugins/openconnect/CMakeLists.txt ===
set (MINIMUM_OPENCONNECT_VERSION_REQUIRED "3.03")

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_MODULE_PATH})
macro_optional_find_package(OpenSSL)
macro_log_feature(OPENSSL_FOUND "OpenSSL headers" "Encryption suite" "http://www.openssl.org" FALSE "" "Needed for OpenConnect support in Network Management")
macro_optional_find_package(OpenConnect ${MINIMUM_OPENCONNECT_VERSION_REQUIRED})

if (OPENCONNECT_FOUND AND OPENSSL_FOUND)
    if (${OPENCONNECT_VERSION} VERSION_GREATER ${MINIMUM_OPENCONNECT_VERSION_REQUIRED} OR
        ${OPENCONNECT_VERSION} VERSION_EQUAL ${MINIMUM_OPENCONNECT_VERSION_REQUIRED})

        macro_log_feature(OPENCONNECT_FOUND "OpenConnect headers and library" "Cisco AnyConnect compatible VPN client" "http://www.infradead.org/openconnect.html" FALSE ${MINIMUM_OPENCONNECT_VERSION_REQUIRED} "Needed for OpenConnect support in Network Management")
        include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../libs/ui)
        include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../libs)
        include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../libs/internals)

        set(openconnect_SRCS
        openconnectui.cpp
        openconnectwidget.cpp
        openconnectauth.cpp
        openconnectauthworkerthread.cpp
        )

        kde4_add_ui_files(openconnect_SRCS openconnectprop.ui openconnectauth.ui)

        kde4_add_plugin(networkmanagement_openconnectui ${openconnect_SRCS})

        target_link_libraries(networkmanagement_openconnectui ${KDE4_KIO_LIBS} knminternals knmui ${OPENCONNECT_LIBRARIES} ${OPENSSL_LIBRARIES})
        install(TARGETS networkmanagement_openconnectui  DESTINATION ${PLUGIN_INSTALL_DIR})

        install( FILES networkmanagement_openconnectui.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
    else()
        message("ERROR: OpenConnection version '${OPENCONNECT_VERSION}' does not match minimum required (${MINIMUM_OPENCONNECT_VERSION_REQUIRED})")
        message("OpenConnect plugin will not be built")
    endif()
else (OPENCONNECT_FOUND AND OPENSSL_FOUND)
    message("OpenConnect plugin will not be built")
endif (OPENCONNECT_FOUND AND OPENSSL_FOUND)

=== vpnplugins/vpnc/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../libs/ui)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../libs)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../libs/internals)

set(vpnc_SRCS
   vpnc.cpp
   vpncauth.cpp
   vpncwidget.cpp
   )

kde4_add_ui_files(vpnc_SRCS vpncprop.ui vpncauth.ui)

kde4_add_plugin(networkmanagement_vpncui ${vpnc_SRCS})

target_link_libraries(networkmanagement_vpncui ${KDE4_KIO_LIBS} knminternals knmui)

install(TARGETS networkmanagement_vpncui  DESTINATION ${PLUGIN_INSTALL_DIR})

install( FILES networkmanagement_vpncui.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
networkmanagement (0.9~git20120122.edc9568-1) unstable; urgency=low

  * New upstream Git snapshot edc9568628f799e7b1faa9d0ddfa10e3b43b4af9 from
    the nm09 branch.
  * Stop installing the D-Bus policy file. It's no longer required.

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Jan 2012 08:16:59 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,7 @@
 DEB_KNETWORKMANAGER_VERSION := $(shell echo '$(DEB_BINARY_VERSION)' | sed 's/^[[:digit:].]\+~/1:0.9+/')
 
 override_dh_auto_configure:
-	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON \
-	                           -DDBUS_SYSTEM_POLICY_DIR=/etc/dbus-1/system.d
+	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON
 
 override_dh_install:
 	dh_install -pplasma-widget-networkmanagement --autodest -- \
